/* General */
body {
	background: white !important;
	max-height: 100vh !important;
}

html,
body {
	height: 100%;
	top: 0px;
}

html.is-reveal-open {
	top: 0px;
}

.centered {
	text-align: center;
	margin: auto;
}

.padded {
	padding: 16px;
}

.padded-1 {
	padding: 1em;
}

.padded-2,
.container-padding {
	padding: 2em;
}

.padded-3 {
	padding: 3em;
}

.half {
	width: 50vw;
}

@media screen and (max-width: 39.9375em) {
	.half {
		width: 90%;
		max-width: 90vw;
	}
}

/*Navbar*/
.topbar-responsive {
	color: #fafafa;
	background: #4848bb;
	padding: 8px 12px;
	box-shadow: 0px 3px 4px 0px rgba(0, 0, 0, 0.5);
}

.topbar-responsive .topbar-responsive-logo {
	color: #fafafa;
	vertical-align: middle;
}

.topbar-responsive .menu {
	background: #4848bb;
}

.topbar-responsive .menu li:last-of-type {
	margin-right: 0;
}

.topbar-responsive .menu a {
	color: #fafafa;
	transition: color 0.15s ease-in;
}

.topbar-responsive .menu a:hover {
	color: #fff;
}

@media screen and (max-width: 39.9375em) {
	.topbar-responsive .menu a {
		padding: 0.875rem 0;
	}
}

.topbar-responsive .menu .topbar-responsive-button {
	color: #fff;
	border-color: #fefefe;
	transition: color 0.15s ease-in, border-color 0.15s ease-in;
}

.topbar-responsive .menu .topbar-responsive-button:hover {
	color: #c6d1d8;
	border-color: #c6d1d8;
}

@media screen and (max-width: 39.9375em) {
	.topbar-responsive .menu .topbar-responsive-button {
		width: 100%;
		margin: 0.875rem 0;
	}

	.topbar-responsive {
		padding: 0.75rem;
	}

	.topbar-responsive .top-bar-title {
		position: relative;
		width: 100%;
	}

	.topbar-responsive .top-bar-title span {
		position: absolute;
		right: 0;
		border: 1px solid #fefefe;
		border-radius: 5px;
		padding: 0.25rem 0.45rem;
		top: 50%;
		-webkit-transform: translateY(-50%);
		-ms-transform: translateY(-50%);
		transform: translateY(-50%);
	}
	.topbar-responsive .top-bar-title span .menu-icon {
		margin-bottom: 4px;
	}
}

@-webkit-keyframes fadeIn {
	from {
		opacity: 0.5;
	}
	to {
		opacity: 1;
	}
}

@keyframes fadeIn {
	from {
		opacity: 0.5;
	}
	to {
		opacity: 1;
	}
}

@-webkit-keyframes slideDown {
	0% {
		-webkit-transform: translateY(-100%);
		transform: translateY(-100%);
	}
	100% {
		-webkit-transform: translateY(0%);
		transform: translateY(0%);
	}
}

@keyframes slideDown {
	0% {
		-webkit-transform: translateY(-100%);
		transform: translateY(-100%);
	}
	100% {
		-webkit-transform: translateY(0%);
		transform: translateY(0%);
	}
}

@media screen and (max-width: 39.9375em) {
	.topbar-responsive-links {
		-webkit-animation-fill-mode: both;
		animation-fill-mode: both;
		-webkit-animation-duration: 0.3s;
		animation-duration: 0.3s;
		width: 100%;
		-webkit-animation: fadeIn 0.3s ease-in;
		animation: fadeIn 0.3s ease-in;
	}

	/*Application */

	.menu-over {
		left: 0px;
		z-index: 1000;
		position: absolute;
		width: 100%;
		box-shadow: 8px 8px 4px rgba(10, 10, 10, 0.3);
	}
}

.main-area {
	overflow-y: auto;
	height: 100%;
	background-image: url("../img/abc.jpg");
	background-color: rgba(255, 255, 255, 0.25);
	background-repeat: no-repeat;
	background-blend-mode: lighten;
	background-size: cover;
	padding: 2em;
	padding-top: 3em;
	box-shadow: inset 4px 4px 4px rgba(10, 10, 10, 0.1);
}

@media screen and (max-width: 800px) {
	.main-area {
		padding: 1em;
	}
}

@media screen and (max-width: 400px) {
	.main-area {
		padding: 8px;
		background-image: none;
		background-color: rgb(224, 224, 224);
	}
}

.main-area > .card {
	box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
}

.full-height {
	/*position: relative;*/
	min-height: 90vh;
}

/* Forms */
.login-form {
	position: absolute;
	background-color: white;
	border: 1px solid #cacaca;
	padding: 1rem;
	border-radius: 0;
	width: 50vw;
	max-width: 480px;
	box-shadow: 0 2px 4px rgba(10, 10, 10, 0.4);
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	-ms-transform: translate(-50%, -50%);
	-webkit-transform: translate(-50%, -50%);
}
.login-form img {
	margin: 16px;
}

@media screen and (max-width: 39.9375em) {
	.login-form {
		width: 80%;
		max-width: 80vw;
	}
}

.tab {
	display: none;
}

.active {
	display: block;
}

.invalid,
.input-error {
	border-color: #ff0000 !important;
	color: #000;
	background-color: #ffeeee !important;
}

.avatar {
	width: 120px;
	height: 120px;
	border-radius: 50%;
	cursor: pointer;
	overflow: hidden;
	margin: 20px auto;
	display: flex;
	align-items: center;
	background-color: #ddd;
}

.bio {
	font-size: 14px;
}

.accordion {
	margin-bottom: 14px;
}

.notificacion {
	background-color: #e6e6e6;
	font-family: "Helvetica Neue", Helvetica, Roboto, Arial, sans-serif;
	position: relative;
	display: block;
	padding: 1.25rem 1rem;
	border: 1px solid #e6e6e6;
	border-bottom: 0;
	font-size: 0.85rem;
	line-height: 1;
	color: black;
}

.notificacion button {
	margin: 0px;
	padding: 4px;
}

.notificacion p {
	margin: 4px;
	padding: 0;
}

.accordion-title::before,
.is-active > .accordion-title::before {
	content: "";
}

.accordion-title a {
	-webkit-text-decoration: underline; /* Safari */
	text-decoration: underline;
	margin: 0px;
	padding: 0px;
	padding-bottom: 10px;
}

.notification-bar {
	position: relative;
	margin: 1px;
	padding: 4px;
	border: 1px solid #e6e6e6;
	border-radius: 0;
	background-color: white;
}

.accordion-content a {
	font-size: 0.7em;
}

.chat {
	margin: 8px;
	padding: 4px;
	display: block;
}

.chat-container {
	padding: 8px;
	border: 1px solid #e6e6e6;
	margin-bottom: 16px;
	background-color: #fff;
	box-shadow: inset 1px 1px #e6e6e6;
	display: inline-block;
	width: 100%;
	min-height: 2em;
	max-height: 50vh;
	overflow-y: scroll;
}

.chat-message {
	font-size: 14px;
	width: 80%;
}

.chat-message .author {
	font-size: 10px;
	font-weight: bold;
}

.chat-message .timestamp {
	color: #222;
	font-size: 10px;
	float: right;
}

.chat-top {
	margin: 4px;
	display: block;
	width: 100%;
	height: 1em;
}

.chat-top.fetching {
	background: url("../img/app/loader.gif") no-repeat center;
}

.chat-bottom {
	margin: 0;
	padding: 0;
	height: 0px;
}

/* Input bar */
.input-bar {
	width: 100%;
	border: 1px solid #e6e6e6;
	border-radius: 8px;
	padding: 2px;
	background-color: #fff;
}

.input-bar:hover {
	box-shadow: 0px 0px 3px #e6e6e6;
}

.input-bar:focus-within {
	box-shadow: 0px 0px 4px #d6d6e6;
}

.input-bar input[type="text"] {
	border: 0;
	box-shadow: none;
	width: calc(100% - 40px);
	display: inline;
	margin: 0;
	background-color: #fff;
}

.input-bar button {
	border-radius: 8px;
	height: 100%;
	width: 30px;
	padding: 4px;
	border: 0;
	text-align: center;
	vertical-align: middle;
	display: inline;
	color: #ccc;
	background-color: #fff;
}

.input-bar button:hover,
.input-bar button:focus {
	border: 1px solid #e6e6e6;
	box-shadow: 0px 0px 4px #d6d6e6;
	color: #777;
}

.pointer {
	cursor: pointer;
}

.img-responsive {
	display: inline-block;
	max-width: 100%;
	height: auto;
}

.field.editable,
.field-editable.editable {
	cursor: pointer;
	border-width: 2px;
	border-style: inset;
	padding: 4px;
	background-color: white;
	display: inline-block;
}

.field.editable.editing,
.field-editable.editable.editing {
	display: inline-block;
}

.hidden {
	display: none;
}

.dataTables_scrollHeadInner {
	width: 100% !important;
}

.boleta.container {
	width: 100%;
}
@media screen and (max-width: 1120px) {
	.boleta.container {
		overflow-x: auto;
	}
}
.boleta.container > table {
	display: table;
	width: 100%;
	border: 1px solid black;
	margin: 4px;
}

div.dataTables_wrapper div.dataTables_processing {
	z-index: 1000;
}

.tabs-panel {
	min-height: 50vh;
}
